Redmine
BITNAMI
レンタルサーバー
ロリポップ

ロリポップにBitnami:Redmineでredmineをインストール

More than 1 year has passed since last update.

ロリポップにBitnami:Redmineはインストールできません

結論から書いておきます。
ロリポップレンタルサーバーにBitnamiはインストールできません

Google先生に聞いても明確にこのことを書いているページがなかったので、これ以上無駄な時間を使う人が出ないように書いておきます。

ロリポップにBitnameをインストールしようとする人がいるのかは分かりませんが、自分はこれで1時間ほどネットをさまよったので。

インストールできない理由

Bitnamiをインストールするためにはサーバー側でコンパイルしてやる必要があり、そのためにはGCCが必要なのですが...

ロリポップにはGCCが入っていません。また、GCCを追加でインストールすることもできません。

よってロリポップにBitnamiはインストールできません。あきらめましょう。

参考までにエラーコード

ターミナルでインストールしようとすると、以下のようなエラーが表示されます。

エラー: エラーが発生しました。
The installer is unable to detect your glibcxx version. You can find how to proceed at https://docs.bitnami.com/installer/linux-faq/#what-is-the-minimum-version-of-libs
tdc-needed-for-bitnami-stacks. Please ensure that you have the minimun version required "3.4.9" before proceeding.

↑の中で重要な部分

The installer is unable to detect your glibcxx version.Please ensure that you have the minimun version required "3.4.9" before proceeding.

<簡単に要約すると>
インストーラーがGCCのバージョンを認識できませんでした。必須バージョンである"3.4.9"以上のバージョンがインストールされていることを確認してください。

でもインストールできません。

つまりはそういうことですね...
お疲れ様でした。